Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class OrderingListIconBase

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.Java2Dresource
              org.richfaces.renderkit.html.images.OrderingListIconBase

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

Direct Known Subclasses:
  OrderingListIconBottom, OrderingListIconDown

    public abstract class OrderingListIconBase

extends org.ajax4jsf.resource.Java2Dresource

Author:
  Siarhej Chalipau

Field Summary
`protected static java.lang.String` | `BACKGROUND_COLOR`
`protected static java.lang.String` | `BORDER_COLOR`
`protected static java.lang.String` | `DISABLED_BACKGROUND_COLOR`
`protected static java.lang.String` | `DISABLED_BORDER_COLOR`
`protected static java.lang.String` | `DISABLED_ICON_COLOR`
`protected static java.lang.String` | `ICON_COLOR`

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`OrderingListIconBase()`

Method Summary
`protected java.lang.Object` | `deserializeData(byte[] objectArray)`
`protected java.lang.Object` | `getDataToStore(javax.faces.context.FacesContext context, java.lang.Object data)`
`java.awt.Dimension` | `getDimensions(javax.faces.context.FacesContext facesContext, java.lang.Object data)`
`protected java.awt.Dimension` | `getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)`
`boolean` | `isCacheable()`
`protected void` | `paint(org.ajax4jsf.resource.ResourceContext context, java.awt.Graphics2D g2d)`
`protected void` | `paintBaseTriangle(java.awt.Graphics2D g2d)`
`protected abstract void` | `paintImage(org.ajax4jsf.resource.ResourceContext context, java.awt.Graphics2D g2d, java.awt.Color textColor, java.awt.Color borderColor)`
`protected java.lang.Object` | `storeData(javax.faces.context.FacesContext context, java.lang.String colorSkinParam, java.lang.String backgroundSkinParam, java.lang.String borderSkinParam)`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`getImage, getResourceAsStream, send`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ICON_COLOR

    protected static final java.lang.String ICON_COLOR

See Also:
  Constant Field Values

### BACKGROUND_COLOR

    protected static final java.lang.String BACKGROUND_COLOR

See Also:
  Constant Field Values

### BORDER_COLOR

    protected static final java.lang.String BORDER_COLOR

See Also:
  Constant Field Values

### DISABLED_ICON_COLOR

    protected static final java.lang.String DISABLED_ICON_COLOR

See Also:
  Constant Field Values

### DISABLED_BACKGROUND_COLOR

    protected static final java.lang.String DISABLED_BACKGROUND_COLOR

See Also:
  Constant Field Values

### DISABLED_BORDER_COLOR

    protected static final java.lang.String DISABLED_BORDER_COLOR

See Also:
  Constant Field Values

Constructor Detail

### OrderingListIconBase

    public OrderingListIconBase()

Method Detail

### paintImage

    protected abstract void paintImage(org.ajax4jsf.resource.ResourceContext context,
                                       java.awt.Graphics2D g2d,
                                       java.awt.Color textColor,
                                       java.awt.Color borderColor)

### paintBaseTriangle

    protected void paintBaseTriangle(java.awt.Graphics2D g2d)

### paint

    protected void paint(org.ajax4jsf.resource.ResourceContext context,
                         java.awt.Graphics2D g2d)

  Overrides:
    `paint` in class `org.ajax4jsf.resource.Java2Dresource`

### getDimensions

    public java.awt.Dimension getDimensions(javax.faces.context.FacesContext facesContext,
                                            java.lang.Object data)

  Overrides:
    `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`

### getDimensions

    protected java.awt.Dimension getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)

  Overrides:
    `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`

### getDataToStore

    protected java.lang.Object getDataToStore(javax.faces.context.FacesContext context,
                                              java.lang.Object data)

  Overrides:
    `getDataToStore` in class `org.ajax4jsf.resource.InternetResourceBase`
  Parameters:
    `data` - - pass icon color and background color

### storeData

    protected java.lang.Object storeData(javax.faces.context.FacesContext context,
                                         java.lang.String colorSkinParam,
                                         java.lang.String backgroundSkinParam,
                                         java.lang.String borderSkinParam)

### deserializeData

    protected java.lang.Object deserializeData(byte[] objectArray)

  Overrides:
    `deserializeData` in class `org.ajax4jsf.resource.InternetResourceBase`

### isCacheable

    public boolean isCacheable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.